%undefine __cmake_in_source_build
%global framework kmbox

# uncomment to enable bootstrap mode
# global bootstrap 1
%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        The KMbox Library
License:        LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

%global majmin %majmin_ver_kf5
%global stable %stable_kf5

BuildRequires:  make
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  qt5-qtbase-devel
%if 0%{?tests}
BuildRequires:  dbus-x11
BuildRequires:  time
BuildRequires:  xorg-x11-server-Xvfb
%endif

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kmime-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd
%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
time \
make test ARGS="--output-on-failure --timeout 120" -C %{_target_platform} ||:
%endif

%ldconfig_scriptlets

%files
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5Mbox.so.*

%files devel
%{_kf5_archdatadir}/mkspecs/modules/qt_KMbox.pri
%{_includedir}/KPim5/KMbox
%{_kf5_libdir}/cmake/KPim5Mbox/
%{_kf5_libdir}/libKPim5Mbox.so

%changelog
* Fri Mar 15 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.4-1
- update verison to 23.08.4

* Wed Aug 09 2023 yajun<yajun@kylinos.cn> - 23.04.3-1
- update to upstream version 23.04.3

* Tue Apr 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 22.12.0-1
- Update package to version 22.12.0

* Wed Nov 23 2022 misaka00251 <liuxin@iscas.ac.cn> - 22.08.0-1
- Init package
